Mapa mental
REST API
Contenido del mapa
REST API
Representational State Transfer
- Architecture style for designing networked applications
- Relies on a stateless, client-server protocol, almost always HTTP
- Treats server objects as resources that can be created of destroyed. They're like posts that can be requested
- Can be used by virtually any programming language. Mainly JSON
- Client Server
- REST is a set of principles that define how Web standards, such as HTTP and URLs, are supposed to work
- Architecture style for designing networked applications
Application Programming Interface
- APIs are Everywhere
- Contract provided by one piece of software to another
- Structured request and response
- Like ordering food and waiter brings it back to chef, chef cooks it and water brings back food.
- Structured request and response
- Response
- Request
Authentication
- Some API's require authentication to use their service. This could be free or paid
- curl https://
Información
- Descripción
- Mapa Mental sobre REST API, creado por Michelle Luong el 05/05/2021.
- Creado por
- Michelle Luong
- Visitas
- 2
- Valoración